Crazy Eddies GUI System: CEGUI::WindowProperties::RestoreOldCapture Class Reference

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Alphabetical List
- Class Hierarchy
- Class Members

# CEGUI::WindowProperties::RestoreOldCapture Class Reference

Property to access window Restore Old Capture setting. More...

Inheritance diagram for CEGUI::WindowProperties::RestoreOldCapture:

[legend]
Collaboration diagram for CEGUI::WindowProperties::RestoreOldCapture:

[legend]
List of all members.

## Public Member Functions
String | get (const PropertyReceiver *receiver) const
| Return the current value of the Property as a String.
void | set (PropertyReceiver *receiver, const String &value)
| Sets the value of the property.

## Detailed Description

Property to access window Restore Old Capture setting.

This property offers access to the restore old capture setting for the window. This setting is of generally limited use, it is primary purpose is for certain operations required for compound widgets.

Usage:
  - Name: RestoreOldCapture
  - Format: "[text]".

Where [Text] is:
  - "True" to indicate the Window should restore any previous capture Window when it loses input capture.
  - "False" to indicate the Window should not restore the old capture Window. This is the default behaviour.

## Member Function Documentation

String CEGUI::WindowProperties::RestoreOldCapture::get | ( | const PropertyReceiver * | receiver | ) | const`[virtual]`

  | Return the current value of the Property as a String. Parameters:
  | receiver | Pointer to the target object.
Returns: String object containing a textual representation of the current value of the Property Implements CEGUI::Property.

void CEGUI::WindowProperties::RestoreOldCapture::set | ( | PropertyReceiver * | receiver,
|  | const String & | value
| ) | `[virtual]`

  | Sets the value of the property. Parameters:
  | receiver | Pointer to the target object.
  | value | A String object that contains a textual representation of the new value to assign to the Property.
  Returns: Nothing. Exceptions:
  | InvalidRequestException | Thrown when the Property was unable to interpret the content of value.
Implements CEGUI::Property.